* {
  box-sizing: border-box;
}

/* Navbar */

.navbar-brand {
  color: white;
}

.navbar-nav .nav-link {
  color: #ffffff;
}

.nav-link {
  color: white;
  transition: 0.5s;
}

.nav-link:hover,
.nav-link.active {
  color: #000000 !important;
  background-color: #ffffff !important;
  border-radius: 20%;
}

.navbar-brand:hover {
  color: rgb(255, 255, 255);
  text-decoration-line: underline;
}

.nav-link:focus {
  color: #fff;
}

.nav-link:focus::after {
  width: 100%;
}

i {
  color: white;
}

/* Header section */

header {
  background-image: linear-gradient(#00000096, #00000096), url(../image/hero-bg.jpg);
  background-position: center;
  background-size: cover;
  background-attachment: fixed;
}

h1 {
  color: white;
  width: 600;
  font-size: 70px;

}

span ::after {
  content: "|";
  animation: typing 2.5s infinite;
  color: white;
  font-size: 40px;
}

@keyframes typing {

  0% {
    content: "|";
  }

  5% {
    content: "D|";
  }

  10% {
    content: "De|";
  }

  15% {
    content: "Dev|";
  }

  20% {
    content: "Deve|";
  }

  25% {
    content: "Devel|";
  }

  30% {
    content: "Develo|";
  }

  35% {
    content: "Develop|";
  }

  40% {
    content: "Develope|";
  }

  45% {
    content: "Developer|";
  }

  50% {
    content: "Developer|";
  }

  55% {
    content: "Develope|";
  }

  60% {
    content: "Develop|";
  }

  65% {
    content: "Develo|";
  }

  70% {
    content: "Devel|";
  }

  75% {
    content: "Deve|";
  }

  80% {
    content: "Dev|";
  }

  85% {
    content: "De|";
  }

  90% {
    content: "D|";
  }

  100% {
    content: "|";
  }
}

/* About section */

.about-mf .box-shadow-full {
  padding-top: 4rem;
  padding-bottom: 4rem;
}

.skill-mf .progress {
  background-color: #cde1f8;
  margin: 0.5rem 0 1.2rem 0;
  border-radius: 0;
  height: 0.7rem;
}

.about-me .title-left {
  position: relative;
}

.title-left:before {
  content: "";
  position: absolute;
  height: 3px;
  background-color: #0078ff;
  width: 22%;
  bottom: 0;
}

.lead {
  font-size: 1.1rem;

}

body {
  background-color: rgb(233, 233, 233);
}

.row {
  background-color: white;
}

.services .tittle h2 {
  text-transform: uppercase;
  text-align: center;
  font-size: 40px;
}

.services .tittle p {
  position: relative;
  text-align: center;
  font-size: 15px;
  padding-bottom: 8px;
}

.services .tittle p:before {
  content: "";
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  height: 5px;
  background-color: #0078ff;
  width: 5%;
  bottom: 0;
}

.services .row {
  background-color: rgb(233, 233, 233);
  padding-bottom: 40px;
}

.services .card {
  text-align: center;
  border-radius: 5px;
}

.services .card .ico-circle i {
  color: black;
  margin-top: 8px;
}


.ico-circle {
  height: 100px;
  width: 100px;
  font-size: 2rem;
  border-radius: 50%;
  line-height: 2.7;
  margin: 0 auto;
  text-align: center;
  box-shadow: 0 0 0 10px #0077ff;
  display: block;
  transition: all 500ms;
}

.card:hover .ico-circle {
  transition: all 500ms ease;
  color: #fff;
  background-color: #0078ff;
  box-shadow: 0 0 10px #cde1f8;
}

.card-subtitle {
  padding-top: 30px;
  font-size: 20px;
}


.image .container .row {
  background-color: transparent;
}

h3 {
  color: white;
  padding-top: 15px;
}

.image .container .row p {
  color: white;
}

.image .container .row .ico-circle {
  height: 70px;
  width: 70px;
  font-size: 2rem;
  border-radius: 50%;
  line-height: 1.8;
  margin: 0 auto;
  text-align: center;
  box-shadow: 0 0 0 10px #ffffff95;
  display: block;

}

.paralax-mf {
  position: relative;
  padding: 8rem 0;
}

.bg-image {
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  background-position: center center;
}

.overlay-mf {
  position: absolute;
  top: 0;
  left: 0px;
  padding: 0;
  height: 100%;
  width: 100%;
  opacity: 0.7;
}

.overlay-mf {
  background-color: #0078ff;
}

/* portfolio */

.portfolio .row {
  background-color: transparent;
  padding-bottom: 40px;
}

.portfolio-text h2 {
  font-size: 45px;
  padding-top: 50px;
  text-transform: uppercase;
  font-weight: bolder;
}

.portfolio-text p {
  position: relative;
  padding-bottom: 10px;
}

.portfolio-text p:before {
  content: "";
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  height: 5px;
  background-color: #0078ff;
  width: 3%;
  bottom: 0;
}

.row .card .card-body h5,
h6 {
  text-align: left;
}

.card .card-body span {
  color: #0077ff;
  font-size: 12px;
}

.portfolio .card .card-body i {
  width: 100%;
  color: #0077ff;
  padding-left: 90%;
  font-size: 40px;
  cursor: pointer;
}

.card img {
  transition: transform 0.5s ease;
}

.card img:hover {
  transform: scale(1.1);
}

.card {
  overflow: hidden;
}

/* section fife */

.carousel-item img {
  width: 100px;
  height: 100px;
  object-fit: cover;
  border-radius: 50%;
  margin: 0 auto;
  display: block;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.3);
}

.carousel-caption {
  position: static;
  text-align: center;
  margin-top: 20px;
}

.carousel-item img {
  width: 150px;
  height: 150px;
  object-fit: cover;
  border-radius: 50%;
  margin: 0 auto 15px auto;
  display: block;
  box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.3);
}

/* Blog */

.blog .row {
  background-color: transparent;
  padding-bottom: 40px;
}

.blog-text p {
  position: relative;
  padding-bottom: 15px;
}

.blog-text p:before {
  content: "";
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  height: 5px;
  background-color: #0078ff;
  width: 3%;
  bottom: 0;
}

.card-blog .card-category-box {
  position: absolute;
  text-align: center;
  top: -16px;
  left: 15px;
  right: 15px;
  line-height: 25px;
  overflow: hidden;
}

.card-blog .card-category {
  display: inline-block;
  color: #fff;
  padding: 0 15px 5px;
  overflow: hidden;
  background-color: #0078ff;
  border-radius: 4px;
}

.card-body {
  position: relative;
}

a {
  color: #1e1e1e;
  text-decoration: none;
  transition: all 0.5s ease-in-out;
}

.avatar {
  width: 32px;
  height: 32px;
  margin-right: 4px;
  overflow: hidden;
}

.card-blog .post-date {
  color: #4e4e4e;
  display: inline-block;
  margin-left: 85%;
}

/* END Section */

.contact-container {
  display: flex;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  max-width: 100%;
  width: 100%;
  overflow: hidden;
  flex-wrap: wrap;
}

.form-section,
.info-section {
  flex: 1;
  padding: 40px;
}

.form-section h2,
.info-section h2 {
  color: black;
  font-size: 30px;
  margin-bottom: 20px;
  border-bottom: 3px solid #007bff;
  display: inline-block;
  padding-bottom: 5px;
}

.input-group {
  margin-bottom: 20px;
}

.input-group input,
.input-group textarea {
  width: 100%;
  padding: 15px;
  border: 1px solid #ccc;
  border-radius: 5px;
  box-sizing: border-box;
  font-size: 16px;
  background-color: #f7f7f7;
}

button[type="submit"] {
  background-color: #007bff;
  color: #fff;
  border: none;
  margin: auto;
  padding: 15px 30px;
  border-radius: 10px;
  cursor: pointer;
  font-size: 16px;
  text-transform: uppercase;
  font-weight: bold;
  letter-spacing: 1px;
  transition: background-color 0.3s ease;
}

button[type="submit"]:hover {
  background-color: #0056b3;
}

.info-section {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.info-section p {
  color: #666;
  line-height: 1.6;
}

.contact-details {
  margin: 20px 0;
}

.detail-item {
  display: flex;
  align-items: center;
  margin-bottom: 15px;
  color: #333;
}

.detail-item i {
  color: #007bff;
  margin-right: 15px;
  font-size: 20px;
}

.social-icons a {
  display: inline-block;
  width: 40px;
  height: 40px;
  line-height: 40px;
  text-align: center;
  border-radius: 50%;
  border: 2px solid #007bff;
  margin-right: 10px;
  font-size: 18px;
  transition: all 0.3s ease;
  background-color: #3c8bdf;
}

.social-icons a:hover {
  background-color: #b3d6fd;
  color: #36b0fc;
}

/* Responsive END Section */
@media (max-width: 768px) {
  .contact-container {
    flex-direction: column;
  }

  .form-section {
    border-right: none;
    border-bottom: 1px solid #e0e0e0;
  }
}

/* footer */

footer {
  text-align: center;
  color: white;
  padding: 25px 0;
  background: #0062d3;
}

.back-to-top i {
  font-size: 28px;
  color: #fff;
  line-height: 0;
  width: 100%;
  margin-left: 95%;
}